package com.ruoyi.oa.service;

import java.util.List;
import com.ruoyi.oa.domain.CmcStudy;

/**
 * 学习记录Service接口
 * 
 * @author cmc
 * @date 2025-03-06
 */
public interface ICmcStudyService 
{
    /**
     * 查询学习记录
     * 
     * @param studyId 学习记录主键
     * @return 学习记录
     */
    public CmcStudy selectCmcStudyByStudyId(Integer studyId);

    /**
     * 查询学习记录列表
     * 
     * @param cmcStudy 学习记录
     * @return 学习记录集合
     */
    public List<CmcStudy> selectCmcStudyList(CmcStudy cmcStudy);

    /**
     * 查询学习记录统计
     *
     * @param cmcStudy 学习记录
     * @return 学习记录集合
     */
    public List<CmcStudy> selectCmcStudyStatistic(CmcStudy cmcStudy);

    /**
     * 新增学习记录
     * 
     * @param cmcStudy 学习记录
     * @return 结果
     */
    public int insertCmcStudy(CmcStudy cmcStudy);

    /**
     * 修改学习记录
     * 
     * @param cmcStudy 学习记录
     * @return 结果
     */
    public int updateCmcStudy(CmcStudy cmcStudy);

    /**
     * 批量删除学习记录
     * 
     * @param studyIds 需要删除的学习记录主键集合
     * @return 结果
     */
    public int deleteCmcStudyByStudyIds(Integer[] studyIds);

    /**
     * 删除学习记录信息
     * 
     * @param studyId 学习记录主键
     * @return 结果
     */
    public int deleteCmcStudyByStudyId(Integer studyId);
}
